{ pkgs ? import <nixpkgs> {}}:

rec {
  gnustep-make = pkgs.stdenv.mkDerivation rec {
    pname = "gnustep-make";
    version = "2.9.0";

    src = pkgs.fetchurl {
      url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-make-${version}.tar.gz";
      sha256 = "a0b066c11257879c7c85311dea69c67f6dc741ef339db6514f85b64992c40d2a";
    };

    buildInputs = [
      pkgs.gzip
      pkgs.which
    ];
  };

  gnustep-base = pkgs.stdenv.mkDerivation rec {
    pname = "gnustep-base";
    version = "1.28.0";

    buildInputs = [
      gnustep-make
    ];

    src = pkgs.fetchurl {
      url = "ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-base-${version}.tar.gz";
      sha256 = "c7d7c6e64ac5f5d0a4d5c4369170fc24ed503209e91935eb0e2979d1601039ed";
    };
  };

  sogo = pkgs.stdenv.mkDerivation rec {
    pname = "sogo";
    version = "5.2.0";

    buildInputs = [
      gnustep-base
    ];

    src = pkgs.fetchurl {
      url = "https://github.com/inverse-inc/sogo/archive/refs/tags/SOGo-${version}.tar.gz";
      sha256 = "0ed288444e625ecdc54543991c6855b5e296a6d2d5d8348169e68447f238bc7e";
    };
  };
}
